跳至內容

Fibo Edit [Structured Instruction]

整合

模型 id bria/fibo-edit/edit/structured_instruction
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-edit/edit/structured_instruction?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $0.01 10 API 點數 在此頁面執行

取得 API 金鑰
Bria AI · 資料(JSON)

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

進階 instruction · image · mask · seed

描述圖像編輯的指示。

image_url
拖放檔案,或

以檔案或 URL 提供的參考圖像。

mask_url
拖放檔案,或

參考圖像的選用遮罩,以檔案或 URL 提供。

預設 5555

控制隨機性以產生可重現結果的種子。

POST /run/bria/fibo-edit/edit/structured_instruction?wait=20 報價 → $0.01
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-edit/edit/structured_instruction?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Fibo Edit [Structured Instruction]

僅產生編輯用的結構化指示,不產生圖片。輸入可包含選用的 `image_url`、`mask_url`、`instruction` 和 `seed`。JSON 輸出涵蓋物件、光線、美學、背景設定、攝影特徵及要繪製的文字等欄位。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
image_url選填 image
類型url · image
以檔案或 URL 提供的參考圖像。
mask_url選填 mask
類型url · image
參考圖像的選用遮罩,以檔案或 URL 提供。
instruction選填
類型string | null
描述圖像編輯的指示。
seed選填
類型integer
預設值5555
控制隨機性以產生可重現結果的種子。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/fibo-edit/edit/structured_instruction",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 10,
    "usd": "0.01",
    "charged": 10,
    "refunded": 0
  },
  "input": {},
  "output": {
    "short_description": "string",
    "objects": [
      {
        "description": "string",
        "location": "string",
        "relationship": "string",
        "relative_size": "string",
        "shape_and_color": "string",
        "texture": "string",
        "appearance_details": "string",
        "number_of_objects": 1,
        "pose": "string",
        "expression": "string",
        "clothing": "string",
        "action": "string",
        "gender": "string",
        "skin_tone_and_texture": "string",
        "orientation": "string"
      }
    ],
    "background_setting": "string",
    "lighting": {
      "conditions": "string",
      "direction": "string",
      "shadows": "string"
    },
    "aesthetics": {
      "composition": "string",
      "color_scheme": "string",
      "mood_atmosphere": "string",
      "preference_score": "string",
      "aesthetic_score": "string"
    },
    "photographic_characteristics": {
      "depth_of_field": "string",
      "focus": "string",
      "camera_angle": "string",
      "lens_focal_length": "string"
    },
    "style_medium": "string",
    "text_render": [],
    "context": "string",
    "artistic_style": "string",
    "edit_instruction": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
short_description
string | null預期輸出圖像的簡短描述。
objects
array of object {description, location, relationship, relative_size, shape_and_color, texture, appearance_details, number_of_objects, pose, expression, clothing, action, gender, skin_tone_and_texture, orientation} | null以清單指定生成圖像的內容,記錄每個物件的屬性及其與其他圖示物件的關係。
background_setting
string | null生成圖像的背景設定。
lighting
object {conditions, direction, shadows} | null生成圖像的光線。
aesthetics
object {composition, color_scheme, mood_atmosphere, preference_score, aesthetic_score} | null生成圖像的美學特質。
photographic_characteristics
object {depth_of_field, focus, camera_angle, lens_focal_length} | null生成圖像的攝影特性。
style_medium
string | null生成圖像的藝術媒材。
text_render
array of any | null要包含在圖像中的文字項目清單。
context
string | null生成圖像的情境。
artistic_style
string | null生成圖像的藝術風格。
edit_instruction
string | null描述如何編輯圖像的指示。

更多模型:LLM

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/bria/fibo-edit/edit/structured_instruction.md. 所有模型與指南: https://doitong.com/developers/llms.txt